"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BalanceList = void 0;
const react_1 = __importDefault(require("react"));
const BalanceList_style_1 = __importDefault(require("./BalanceList.style"));
const BalanceList = (props) => {
    const { balances } = props;
    const classes = BalanceList_style_1.default(props);
    return (react_1.default.createElement("div", { className: classes.container }, balances === null || balances === void 0 ? void 0 : balances.map((balance, index) => (react_1.default.createElement("div", { key: index, className: classes.itemWrapper },
        react_1.default.createElement("img", { className: classes.tokenLogo, src: index === 0
                ? "https://res.cloudinary.com/dqueufbs7/image/upload/v1614369421/images/Screen_Shot_2021-02-26_at_22.56.34.png"
                : "https://res.cloudinary.com/dqueufbs7/image/upload/v1614373316/images/Screen_Shot_2021-02-27_at_00.01.31.png" }),
        react_1.default.createElement("div", { className: classes.tokenAmount }, Number(balance.freeAmount) / 1000000000000000000),
        react_1.default.createElement("div", { className: classes.tokenName }, balance.symbol || index === 0 ? "HPT" : "MINT"))))));
};
exports.BalanceList = BalanceList;
//# sourceMappingURL=BalanceList.js.map