"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const components_1 = require("../../components");
const theme_1 = require("../../theme");
const react_1 = __importStar(require("react"));
const contexts_1 = require("../../contexts");
const hooks_1 = require("../../hooks");
const ConnectorAuthorizationFlow_style_1 = __importDefault(require("./ConnectorAuthorizationFlow.style"));
const ConnectorAuthorizationFlow = (props) => {
    const { connectorUrl, connectorName = "Hypernet", connectorLogoUrl = "https://res.cloudinary.com/dqueufbs7/image/upload/v1614369421/images/Screen_Shot_2021-02-26_at_22.56.34.png", } = props;
    const { balances } = hooks_1.useBalances();
    const { proxy } = react_1.useContext(contexts_1.StoreContext);
    const { setModalWidth, setModalStatus, modalStatus, closeModal } = react_1.useContext(contexts_1.LayoutContext);
    const classes = ConnectorAuthorizationFlow_style_1.default();
    react_1.useEffect(() => {
        proxy.onMerchantAuthorized.subscribe(() => {
            closeModal();
        });
        // Destroy self modal if merchant modal is visible.
        const iframeElements = document.getElementsByName("hypernet-core-merchant-connector-iframe");
        if (iframeElements.length && iframeElements[0].style.display === "block") {
            closeModal();
        }
        proxy.onAuthorizedMerchantActivationFailed.subscribe(() => {
            // show some error
            console.log("onAuthorizedMerchantActivationFailed");
        });
    }, []);
    const handleMerchantAuthorization = () => {
        proxy.authorizeMerchant(connectorUrl).match(() => {
            setModalWidth(565);
            setModalStatus(theme_1.EStatusColor.SUCCESS);
        }, (err) => {
            console.log("yo stop, we have some error");
        });
    };
    return modalStatus === theme_1.EStatusColor.SUCCESS ? (react_1.default.createElement(components_1.SucessContent, { label: "Success!", info: "You have successfully connected to Galileo.\n    You can now start making payments and\n    transactions.", onOkay: () => closeModal() })) : (react_1.default.createElement("div", { className: classes.container },
        react_1.default.createElement(components_1.ModalHeader, null),
        react_1.default.createElement("div", { className: classes.balancesWrapper },
            react_1.default.createElement("div", { className: classes.balancesLabel }, "Your Balances"),
            react_1.default.createElement(components_1.BalanceList, { balances: balances })),
        react_1.default.createElement(components_1.Button, { label: "Authorize", onClick: handleMerchantAuthorization, fullWidth: true, bgColor: "linear-gradient(98deg, rgba(0,120,255,1) 0%, rgba(126,0,255,1) 100%)" }),
        react_1.default.createElement(components_1.ModalFooter, null)));
};
exports.default = ConnectorAuthorizationFlow;
//# sourceMappingURL=ConnectorAuthorizationFlow.js.map